<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".Fragments.RegisterFragment">

    <ImageButton
        android:id="@+id/imagebutton_register_return"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:src="@drawable/ic_go_back"
        android:padding="8dp"
        android:background="@color/color_white"/>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="center_horizontal"
        android:layout_margin="32dp"
        android:orientation="vertical">

        <ImageView
            android:layout_width="200dp"
            android:layout_height="75dp"
            android:layout_marginTop="24dp"
            android:src="@drawable/img_youtube_logo" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="32dp"
            android:text="@string/registrarse"
            android:textSize="20sp" />

        <com.google.android.material.textfield.TextInputLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="32sp"
            android:layout_marginVertical="8dp">

            <com.google.android.material.textfield.TextInputEditText
                android:id="@+id/inputedit_email"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="@string/correo_electr_nico"
                android:inputType="textEmailAddress"
                android:maxLength="60"
                android:singleLine="true" />
        </com.google.android.material.textfield.TextInputLayout>

        <com.google.android.material.textfield.TextInputLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="32sp"
            android:layout_marginVertical="8dp">

            <com.google.android.material.textfield.TextInputEditText
                android:id="@+id/inputedit_username"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="@string/usuario"
                android:maxLength="32"
                android:singleLine="true" />
        </com.google.android.material.textfield.TextInputLayout>

        <com.google.android.material.textfield.TextInputLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="32sp"
            android:layout_marginVertical="8dp">

            <com.google.android.material.textfield.TextInputEditText
                android:id="@+id/inputedit_password"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="@string/contrase_a"
                android:inputType="textPassword"
                android:maxLength="16"
                android:maxLines="1" />
        </com.google.android.material.textfield.TextInputLayout>

        <com.google.android.material.textfield.TextInputLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="32sp"
            android:layout_marginVertical="8dp">

            <com.google.android.material.textfield.TextInputEditText
                android:id="@+id/inputedit_repeat_password"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="@string/repetir_contrase_a"
                android:inputType="textPassword"
                android:maxLength="16"
                android:maxLines="1" />
        </com.google.android.material.textfield.TextInputLayout>

        <com.google.android.material.checkbox.MaterialCheckBox
            android:id="@+id/checkbox_terms"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="left"
            android:layout_marginHorizontal="32dp"
            android:text="@string/aceptar_t_rminos_y_condiciones"
            android:textSize="12sp" />

    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:gravity="bottom"
        android:layout_margin="32dp"
        android:orientation="horizontal">

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginBottom="24dp"
            android:layout_weight="0.5"
            android:gravity="center">

            <com.google.android.material.button.MaterialButton
                android:id="@+id/button_goto_login"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/iniciar_sesion"
                android:textColor="@color/color_red" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginBottom="24dp"
            android:layout_weight="0.5"
            android:gravity="center">

            <com.google.android.material.button.MaterialButton
                android:id="@+id/button_register"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/siguiente"
                app:backgroundTint="@color/color_red" />

        </LinearLayout>

    </LinearLayout>

</RelativeLayout>